Loading...
Searching...
No Matches
fastjet::BasicRandom< int > Class Reference

More...

`#include <fastjet/internal/BasicRandom.hh>`

Inheritance diagram for fastjet::BasicRandom< int >:
[legend]
Collaboration diagram for fastjet::BasicRandom< int >:
[legend]

## Public Types

typedef int | value_type
typedef unsigned int | size_type
typedef value_type * | pointer

## Public Member Functions

| BasicRandom (int __s1=12345, int __s2=67890)
value_type | operator() ()
void | operator() (size_type __n, pointer __res)
void | operator() (size_type __n, pointer __res, std::vector< int > &__iseed)
| given a pointer __res to the beginning of an array, fill that array with __n random numbers
void | randomize (void *__iseed)
void | set_status (const std::vector< int > &__iseed)
void | get_status (std::vector< int > &__iseed)
void | print_info (std::ostream &__os=std::cout)

## Static Public Member Functions

static value_type | min ()
static value_type | max ()

## Detailed Description

Definition at line 81 of file BasicRandom.hh.

## Member Typedef Documentation

## value_type

typedef int fastjet::BasicRandom< int >::value_type

Definition at line 84 of file BasicRandom.hh.

## size_type

typedef unsigned int fastjet::BasicRandom< int >::size_type

Definition at line 85 of file BasicRandom.hh.

## pointer

typedef value_type* fastjet::BasicRandom< int >::pointer

Definition at line 86 of file BasicRandom.hh.

## Constructor & Destructor Documentation

## BasicRandom()

fastjet::BasicRandom< int >::BasicRandom | ( | int | __s1 = 12345,
|  | int | __s2 = 67890 )

inline explicit

Definition at line 89 of file BasicRandom.hh.

## Member Function Documentation

## operator()() [1/3]

value_type fastjet::BasicRandom< int >::operator() | ( |  | ) |

inline

Definition at line 95 of file BasicRandom.hh.

## operator()() [2/3]

void fastjet::BasicRandom< int >::operator() | ( | size_type | __n,
|  | pointer | __res )

inline

Definition at line 99 of file BasicRandom.hh.

## operator()() [3/3]

void fastjet::BasicRandom< int >::operator() | ( | size_type | __n,
|  | pointer | __res,
|  | std::vector< int > & | __iseed )

inline

given a pointer __res to the beginning of an array, fill that array with __n random numbers

This now acquired an extra argument which allows to retreive the set of seeds used for this generation.

Definition at line 109 of file BasicRandom.hh.

## randomize()

void fastjet::BasicRandom< int >::randomize | ( | void * | __iseed | ) |

inline

Definition at line 124 of file BasicRandom.hh.

## set_status()

void fastjet::BasicRandom< int >::set_status | ( | const std::vector< int > & | __iseed | ) |

inline

Definition at line 130 of file BasicRandom.hh.

## get_status()

void fastjet::BasicRandom< int >::get_status | ( | std::vector< int > & | __iseed | ) |

inline

Definition at line 136 of file BasicRandom.hh.

## min()

value_type fastjet::BasicRandom< int >::min | ( |  | ) |

inline static

Definition at line 143 of file BasicRandom.hh.

## max()

value_type fastjet::BasicRandom< int >::max | ( |  | ) |

inline static

Definition at line 144 of file BasicRandom.hh.

## print_info()

void fastjet::BasicRandom< int >::print_info | ( | std::ostream & | __os = std::cout | ) |

inline

Definition at line 147 of file BasicRandom.hh.

The documentation for this class was generated from the following file:

- include/fastjet/internal/BasicRandom.hh